Page 3 of 3 FirstFirst 123
Results 21 to 24 of 24

Thread: Can not add NVIDIA repository

  1. #21

    Default Re: Can not add NVIDIA repository

    ok in #8 it was a GM108M which may not be supported any more.

    i added that nvidia repo three days ago, what worked. Looks like this:

    Code:
    horst@pcmsi-i7-4790k:~> zypper lr -d 
    #  | Alias                                | Name                                                         | Enabled   | GPG Check       | Refresh        | Priority  | Type   | URI                                                                                                               | Serv-> 
    ---+--------------------------------------+--------------------------------------------------------------+-----------+-----------------+----------------+-----------+--------+-------------------------------------------------------------------------------------------------------------------+------- 
     1 | download.nvidia.com-$releasever      | nVidia Graphics Drivers                                      | Ja        | (r ) Ja         | Ja             |   90      | rpm-md | https://download.nvidia.com/opensuse/leap/15.3/                                                                   | 
    
    currently, the file https://download.nvidia.com/opensuse...ata/repomd.xml contain this primary.xml, which is the right one, found on https://download.nvidia.com/opensuse...15.3/repodata:

    Code:
    <data type="primary">
    <location href="repodata/6165bd9f8d5a4aa9f0625c2ae413d3a9f78cab194723de6f00bafc38a23059a4-primary.xml.gz"/>
    <checksum type="sha256">
    6165bd9f8d5a4aa9f0625c2ae413d3a9f78cab194723de6f00bafc38a23059a4
    </checksum>
    <timestamp>1632264298</timestamp>
    <size>12200</size>
    <open-size>154849</open-size>
    <open-checksum type="sha256">
    42e98553aa53e5e5b90f5ce80b7df86554c18d5bc2822effc8157821e366bb61
    </open-checksum>
    </data>
    so maybe check, if you do have other repositorys, with another name pointing to download.nvidia.com and remove all of them to get rid of the wrong repodata. the repo itself from nvidia looks clean. Sometimes the name gets changed and two same urls are added with the different names.

  2. #22

    Cool Re: Can not add NVIDIA repository

    Quote Originally Posted by obel1x View Post
    i think you are using repositorys, that are not for your leap- version. always make sure, that you do not use repos like 42.x in leap 15.x (should be ok there, but it was not always)

    do you have graphical system and can run yast in graphic mode? it can be, that your network is not up, if you are only on the console right now...
    if so, this descriptions works for me:
    https://opensuse.github.io/openSUSE-...l_proprietary/
    from scratch, which should have the right repositories already.

    Instead of selectinge the nvidia... in software, just do install recommended packages. if that does not install the nvidia, your graphics are not supportet by nvidia on the leap version any more. use nouveau than instead if possible.

    you can check out, which driver you need for your graphic here:
    https://www.nvidia.com/en-us/drivers/unix/
    After I did a bit more research, it turns out that NVIDIA has been having driver problems with OpenSUSE since version 460. The problems were meant to be fixed by now and weren't. I think that may have a been why it wasn't working.

    I reinstalled OpenSUSE Tumbleweed, followed the exact same steps a couple days later (yesterday or the day before) and was able to add the repository.

    Today I got a message saying the repository was out of date. So I refreshed and went ahead and installed x11-video-nvidiag05 from the repository. It appears to have installed without an issue. Going to reboot and see what happens.

  3. #23

    Exclamation Re: Can not add NVIDIA repository

    Quote Originally Posted by etoid View Post
    So I refreshed and went ahead and installed x11-video-nvidiag05 from the repository. It appears to have installed without an issue. Going to reboot and see what happens.
    good to hear, that it worked so far. good luck. there seem to be problems with deactivating nouveau in latest drivers for tw, check posts in this for knowledge:
    https://forums.opensuse.org/showthre...36#post3070236

  4. #24

    Default Re: Can not add NVIDIA repository

    Quote Originally Posted by obel1x View Post
    good to hear, that it worked so far. good luck. there seem to be problems with deactivating nouveau in latest drivers for tw, check posts in this for knowledge:
    https://forums.opensuse.org/showthre...36#post3070236
    No issues here.

    etoid-lab:/home/etoid # lspci -nnk | egrep -i --color 'vga|3d|2d' -A3 | grep 'in use'
    Kernel driver in use: ehci-pci
    Kernel driver in use: nvidia
    etoid-lab:/home/etoid #


    So far anyway. I just switched from GNOME to Plasma desktops. We'll see how it goes.

Page 3 of 3 FirstFirst 123

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •